%define kdevelop_ver 4.3.1

Name:           kdevelop-php
Summary:        Php language and documentation plugins for KDevelop 
Version:        1.3.1
Release:        1%{?dist}

# Most files LGPLv2+/GPLv2+
License:        GPLv2+
Group:          Development/Tools
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-%{version}.tar.bz2
# imo we should package kdevelop-php-docs separate
Source1:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-docs-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  kdevelop-pg-qt-devel >= 1.0.0
BuildRequires:  kdevplatform-devel >= %{version}

Requires: kdevelop >= %{kdevelop_ver}

%description
%{summary}.


%prep
%setup -q -n kdevelop-php-%{version} -a 1


%build
mkdir -p %{_target_platform} %{name}-docs-%{version}/%{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} 

# php-docs plugins
pushd %{name}-docs-%{version}/%{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{name}-docs-%{version}/%{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# php-docs plugins
make install/fast DESTDIR=%{buildroot} -C %{name}-docs-%{version}/%{_target_platform}

%find_lang %{name} --all-name --with-kde


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG* COPYING
%{_kde4_libdir}/kde4/kdevphplanguagesupport.so
%{_kde4_libdir}/kde4/kdevphpdocs*
%{_kde4_libdir}/libkdev4php*.so
%{_kde4_appsdir}/kdevappwizard/
%{_kde4_appsdir}/kdevphpsupport/
%{_kde4_datadir}/kde4/services/kdevphpsupport.desktop
%{_kde4_datadir}/kde4/services/kdevphpdocs*
%{_kde4_datadir}/config.kcfg/phpdocssettings.kcfg

%changelog
* Mon Apr 16 2012 Radek Novacek <rnovacek@redhat.com> 1.3.1-1
- Update to 1.3.1

* Tue Mar 13 2012 Than Ngo <than@redhat.com> - 1.3.0-2
- add missing kdevelop-php-docs

* Mon Mar 12 2012 Jaroslav Reznik <jreznik@redhat.com> 1.3.0-1
- Update to 1.3.0

* Mon Feb 27 2012 Radek Novacek <rnovacek@redhat.com> 1.2.90-2
- Rebuild for kdevelop-pg-qt 1.0.0

* Sun Feb 26 2012 Radek Novacek <rnovacek@redhat.com> 1.2.90-1
- Update to 1.2.90 (RC 1)

* Tue Feb 14 2012 Jaroslav Reznik <jreznik@redhat.com> 1.2.82-1
- Update to 1.2.82 (beta 2)

* Mon Jan 23 2012 Radek Novacek <rnovacek@redhat.com> 1.2.81-1
- Update to 1.2.81 (1.3 beta)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Radek Novacek <rnovacek@redhat.com> 1.2.3-1
- Update to 1.2.3

* Mon Apr 11 2011 Radek Novacek <rnovacek@redhat.com> 1.2.2-2
- BuildRequires kdevelop-pg-qt >= 0.9.5

* Thu Apr 07 2011 Radek Novacek <rnovacek@redhat.com> 1.2.2-1
- Update to 1.2.2

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 25 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.2.0-1
- 1.2.0

* Fri Jan 21 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.90-1
- Update to 1.1.90 (1.2 RC1)

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.1.81-1
- 1.1.81
- License: GPLv2+

* Fri Dec 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.1.1-3
- License: GPLv3+

* Fri Dec 10 2010 Rex Dieter <rdieter@fedoraproject.org> -  1.1.1-2
- License: GPLv2+

* Mon Dec 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.1.1-1
- first try

